## API Report File for "@microsoft/fast-foundation"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { Behavior } from '@microsoft/fast-element';
import { DecoratorAttributeConfiguration } from '@microsoft/fast-element';
import { Direction } from '@microsoft/fast-web-utilities';
import { ElementStyles } from '@microsoft/fast-element';
import { FASTElement } from '@microsoft/fast-element';
import { Orientation } from '@microsoft/fast-web-utilities';
import { PartialFASTElementDefinition } from '@microsoft/fast-element';

// @public
export class Accordion extends FASTElement {
    // @internal (undocumented)
    accordionItems: HTMLElement[];
    // @internal (undocumented)
    accordionItemsChanged(oldValue: any, newValue: any): void;
    expandmode: AccordionExpandMode;
    }

// @public
export enum AccordionExpandMode {
    multi = "multi",
    single = "single"
}

// Warning: (ae-different-release-tags) This symbol has another declaration with a different release tag
// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "AccordionItem" because one of its declarations is marked as @internal
//
// @public
export class AccordionItem extends FASTElement {
    // @internal (undocumented)
    clickHandler: (e: MouseEvent) => void;
    // @internal (undocumented)
    expandbutton: HTMLElement;
    expanded: boolean;
    headinglevel: 1 | 2 | 3 | 4 | 5 | 6;
    id: string;
}

// @internal
export interface AccordionItem extends StartEnd {
}

// @public
export const AccordionItemTemplate: import("@microsoft/fast-element").ViewTemplate<AccordionItem, any>;

// @public
export const AccordionTemplate: import("@microsoft/fast-element").ViewTemplate<Accordion, any>;

// Warning: (ae-different-release-tags) This symbol has another declaration with a different release tag
// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "Anchor" because one of its declarations is marked as @internal
//
// @public
export class Anchor extends FASTElement {
    download: string;
    href: string;
    hreflang: string;
    ping: string;
    referrerpolicy: string;
    rel: string;
    target: "_self" | "_blank" | "_parent" | "_top";
    type: string;
}

// @internal
export interface Anchor extends StartEnd, DelegatesARIALink {
}

// @public
export const AnchorTemplate: import("@microsoft/fast-element").ViewTemplate<Anchor, any>;

// @public
export function applyMixins(derivedCtor: any, ...baseCtors: any[]): void;

// @public
export class ARIAGlobalStatesAndProperties {
    ariaAtomic: "true" | "false";
    ariaBusy: "true" | "false";
    ariaControls: string;
    ariaCurrent: "page" | "step" | "location" | "date" | "time" | "true" | "false" | string;
    ariaDescribedby: string;
    ariaDetails: string;
    ariaDisabled: "true" | "false";
    ariaErrormessage: string;
    ariaFlowto: string;
    ariaHaspopup: "false" | "true" | "menu" | "listbox" | "tree" | "grid" | "dialog";
    ariaHidden: "false" | "true" | undefined;
    ariaInvalid: "false" | "true" | "grammar" | "spelling";
    ariaKeyshortcuts: string;
    ariaLabel: string;
    ariaLabelledby: string;
    ariaLive: "assertive" | "off" | "polite";
    ariaOwns: string;
    ariaRelevant: "additions" | "additions text" | "all" | "removals" | "text";
    ariaRoledescription: string;
}

// @public
export class Badge extends FASTElement {
    circular: boolean;
    color: string;
    fill: string;
}

// @public
export const BadgeTemplate: import("@microsoft/fast-element").ViewTemplate<Badge, any>;

// @public
export class BaseProgress extends FASTElement {
    max: number;
    min: number;
    paused: any;
    value: number;
}

// Warning: (ae-different-release-tags) This symbol has another declaration with a different release tag
// Warning: (ae-forgotten-export) The symbol "FormAssociated" needs to be exported by the entry point index.d.ts
// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "Button" because one of its declarations is marked as @internal
//
// @public
export class Button extends FormAssociated<HTMLInputElement> {
    autofocus: boolean;
    // @internal (undocumented)
    connectedCallback(): void;
    formaction: string;
    formenctype: string;
    formId: string;
    formmethod: string;
    formnovalidate: boolean;
    formtarget: "_self" | "_blank" | "_parent" | "_top";
    name: string;
    // (undocumented)
    protected proxy: HTMLInputElement;
    type: "submit" | "reset" | "button";
    value: string;
    }

// @internal
export interface Button extends StartEnd, DelegatesARIAButton {
}

// @public
export const ButtonTemplate: import("@microsoft/fast-element").ViewTemplate<Button, any>;

// @public
export class Card extends FASTElement {
}

// @public
export const CardTemplate: import("@microsoft/fast-element").ViewTemplate<Card, any>;

// @public
export class Checkbox extends FormAssociated<HTMLInputElement> {
    constructor();
    checked: boolean;
    checkedAttribute: boolean;
    // @internal (undocumented)
    clickHandler: (e: MouseEvent) => void;
    // @internal (undocumented)
    connectedCallback(): void;
    defaultChecked: boolean;
    // @internal (undocumented)
    defaultSlottedNodes: Node[];
    indeterminate: boolean;
    // @internal (undocumented)
    keypressHandler: (e: KeyboardEvent) => void;
    // (undocumented)
    protected proxy: HTMLInputElement;
    readOnly: boolean;
    value: string;
    }

// @public
export const CheckboxTemplate: import("@microsoft/fast-element").ViewTemplate<Checkbox, any>;

// @public
export function composedParent<T extends HTMLElement>(element: T): HTMLElement | null;

// @public
export class CSSCustomPropertyBehavior implements Behavior, CSSCustomPropertyDefinition {
    constructor(name: string, value: CSSCustomPropertyDefinition["value"], host: (source: HTMLElement) => Partial<CSSCustomPropertyTarget> | null);
    // @internal
    bind(source: HTMLElement): void;
    readonly name: CSSCustomPropertyDefinition["name"];
    readonly propertyName: string;
    // @internal
    unbind(source: HTMLElement): void;
    readonly value: CSSCustomPropertyDefinition["value"];
    readonly var: string;
}

// @public
export function cssCustomPropertyBehaviorFactory(name: string, value: string | ((...arg: any[]) => string), host: (source: typeof FASTElement & HTMLElement) => Partial<CSSCustomPropertyTarget> | null): CSSCustomPropertyBehavior;

// @public
export interface CSSCustomPropertyDefinition {
    name: string;
    value: string | ((...args: any[]) => string);
}

// @public
export interface CSSCustomPropertyTarget {
    // (undocumented)
    disconnectedCSSCustomPropertyRegistry: CSSCustomPropertyDefinition[] | void;
    // (undocumented)
    registerCSSCustomProperty(behavior: CSSCustomPropertyDefinition): void;
    // (undocumented)
    unregisterCSSCustomProperty(behavior: CSSCustomPropertyDefinition): void;
}

// @public
export type CSSDisplayPropertyValue = "block" | "contents" | "flex" | "grid" | "inherit" | "initial" | "inline" | "inline-block" | "inline-flex" | "inline-grid" | "inline-table" | "list-item" | "none" | "run-in" | "table" | "table-caption" | "table-cell" | "table-column" | "table-column-group" | "table-footer-group" | "table-header-group" | "table-row" | "table-row-group";

// @public
export interface DecoratorDesignSystemPropertyConfiguration extends Omit<DecoratorAttributeConfiguration, "attribute"> {
    attribute?: string | false;
    cssCustomProperty?: string | false;
    default: any;
}

// @public
export class DelegatesARIAButton extends ARIAGlobalStatesAndProperties {
    ariaExpanded: "true" | "false" | undefined;
    ariaPressed: "true" | "false" | "mixed" | undefined;
}

// @public
export class DelegatesARIALink extends ARIAGlobalStatesAndProperties {
    ariaExpanded: "true" | "false" | undefined;
}

// @public
export class DelegatesARIATextbox extends ARIAGlobalStatesAndProperties {
}

// @public
export interface DesignSystemConsumer {
    // (undocumented)
    provider: DesignSystemProvider | null;
}

// @public
export const designSystemConsumerBehavior: Behavior;

// @public
export function designSystemProperty<T extends DesignSystemProvider>(config: DecoratorDesignSystemPropertyConfiguration): (source: T, property: string) => void;

// @public
export class DesignSystemProvider extends FASTElement implements CSSCustomPropertyTarget, DesignSystemConsumer {
    constructor();
    // @internal (undocumented)
    connectedCallback(): void;
    designSystem: {};
    // @internal
    designSystemProperties: {
        [propertyName: string]: Required<Pick<DecoratorDesignSystemPropertyConfiguration, "cssCustomProperty" | "default">>;
    };
    disconnectedCSSCustomPropertyRegistry: CSSCustomPropertyDefinition[];
    evaluate(definition: CSSCustomPropertyDefinition): string;
    static findProvider(el: HTMLElement & Partial<DesignSystemConsumer>): DesignSystemProvider | null;
    static isDesignSystemProvider(el: HTMLElement | DesignSystemProvider): el is DesignSystemProvider;
    readonly isDesignSystemProvider = true;
    provider: DesignSystemProvider | null;
    registerCSSCustomProperty(behavior: CSSCustomPropertyDefinition): void;
    static registerTagName(tagName: string): void;
    static get tagNames(): string[];
    unregisterCSSCustomProperty(behavior: CSSCustomPropertyDefinition): void;
    useDefaults: boolean;
    }

// @public
export function designSystemProvider(nameOrDef: string | PartialFASTElementDefinition): <T extends typeof DesignSystemProvider>(providerCtor: T) => void;

// @public
export const DesignSystemProviderTemplate: import("@microsoft/fast-element").ViewTemplate<DesignSystemProvider, any>;

// @public
export class Dialog extends FASTElement {
    ariaDescribedby: string;
    ariaLabel: string;
    ariaLabelledby: string;
    // @internal (undocumented)
    connectedCallback(): void;
    // @internal (undocumented)
    dialog: HTMLDivElement;
    // @internal (undocumented)
    disconnectedCallback(): void;
    // @internal (undocumented)
    dismiss(): void;
    hidden: boolean;
    modal: boolean;
    trapFocus: boolean;
    }

// @public
export const DialogTemplate: import("@microsoft/fast-element").ViewTemplate<Dialog, any>;

// @public
export const disabledCursor = "not-allowed";

// @public
export function display(displayValue: CSSDisplayPropertyValue): string;

// @public
export class Divider extends FASTElement {
    role: DividerRole;
}

// @public
export enum DividerRole {
    presentation = "presentation",
    separator = "separator"
}

// @public
export const DividerTemplate: import("@microsoft/fast-element").ViewTemplate<Divider, any>;

// @public
export const endTemplate: import("@microsoft/fast-element").ViewTemplate<StartEnd, any>;

// @public
export class Flipper extends FASTElement {
    direction: FlipperDirection;
    disabled: boolean;
    hiddenFromAT: boolean;
}

// @public
export enum FlipperDirection {
    // (undocumented)
    next = "next",
    // (undocumented)
    previous = "previous"
}

// @public
export const FlipperTemplate: import("@microsoft/fast-element").ViewTemplate<Flipper, any>;

// @public
export const focusVisible: string;

// @public
export const forcedColorsStylesheetBehavior: (styles: ElementStyles) => MatchMediaStyleSheetBehavior;

// @public
export const hidden = ":host([hidden]){display:none}";

// @public
export function isDesignSystemConsumer(element: HTMLElement | DesignSystemConsumer): element is DesignSystemConsumer;

// @public
export function isTreeItemElement(el: Element): el is HTMLElement;

// @public
export abstract class MatchMediaBehavior implements Behavior {
    constructor(query: MediaQueryList);
    bind(source: typeof FASTElement & HTMLElement): void;
    protected abstract constructListener(source: typeof FASTElement): MediaQueryListListener;
    readonly query: MediaQueryList;
    unbind(source: typeof FASTElement & HTMLElement): void;
}

// @public
export class MatchMediaStyleSheetBehavior extends MatchMediaBehavior {
    constructor(query: MediaQueryList, styles: ElementStyles);
    // @internal
    protected constructListener(source: typeof FASTElement): MediaQueryListListener;
    readonly query: MediaQueryList;
    readonly styles: ElementStyles;
    // @internal
    unbind(source: typeof FASTElement & HTMLElement): void;
    static with(query: MediaQueryList): (styles: ElementStyles) => MatchMediaStyleSheetBehavior;
}

// @public @deprecated
export function matchMediaStylesheetBehaviorFactory(query: MediaQueryList): (styles: ElementStyles) => MatchMediaStyleSheetBehavior;

// @public
export type MediaQueryListListener = (this: MediaQueryList, ev?: MediaQueryListEvent) => void;

// @public
export class Menu extends FASTElement {
    // @internal (undocumented)
    connectedCallback(): void;
    // @internal (undocumented)
    disconnectedCallback(): void;
    focus(): void;
    // @internal
    handleFocusOut: (e: FocusEvent) => void;
    // @internal (undocumented)
    handleMenuKeyDown(e: KeyboardEvent): void | boolean;
    // @internal (undocumented)
    items: HTMLSlotElement;
    }

// Warning: (ae-different-release-tags) This symbol has another declaration with a different release tag
// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "MenuItem" because one of its declarations is marked as @internal
//
// @public
export class MenuItem extends FASTElement {
    checked: boolean;
    disabled: boolean;
    expanded: boolean;
    // @internal (undocumented)
    handleMenuItemClick: (e: MouseEvent) => void;
    // @internal (undocumented)
    handleMenuItemKeyDown: (e: KeyboardEvent) => boolean;
    role: MenuItemRole;
}

// @internal
export interface MenuItem extends StartEnd {
}

// @public
export enum MenuItemRole {
    // (undocumented)
    menuitem = "menuitem",
    // (undocumented)
    menuitemcheckbox = "menuitemcheckbox",
    // (undocumented)
    menuitemradio = "menuitemradio"
}

// @public
export const MenuItemTemplate: import("@microsoft/fast-element").ViewTemplate<MenuItem, any>;

// @public
export const MenuTemplate: import("@microsoft/fast-element").ViewTemplate<Menu, any>;

// @public
export const ProgressRingTemplate: import("@microsoft/fast-element").ViewTemplate<BaseProgress, any>;

// @public
export const ProgressTemplate: import("@microsoft/fast-element").ViewTemplate<BaseProgress, any>;

// @public
export class Radio extends FormAssociated<HTMLInputElement> implements RadioControl {
    checked: boolean;
    checkedAttribute: boolean;
    // @internal (undocumented)
    clickHandler: (e: MouseEvent) => void;
    // @internal (undocumented)
    connectedCallback(): void;
    defaultChecked: boolean;
    // @internal (undocumented)
    defaultSlottedNodes: Node[];
    // @internal (undocumented)
    keypressHandler: (e: KeyboardEvent) => void;
    name: string;
    // (undocumented)
    protected nameChanged(): void;
    // (undocumented)
    protected proxy: HTMLInputElement;
    readOnly: boolean;
    value: string;
    }

// @public
export type RadioControl = Pick<HTMLInputElement, "checked" | "disabled" | "readOnly" | "focus" | "setAttribute" | "getAttribute">;

// @public
export class RadioGroup extends FASTElement {
    constructor();
    // @internal (undocumented)
    connectedCallback(): void;
    disabled: boolean;
    // @internal
    keydownHandler: (e: KeyboardEvent) => void;
    name: string;
    // (undocumented)
    protected nameChanged(): void;
    orientation: Orientation;
    readOnly: boolean;
    // @internal (undocumented)
    slottedRadioButtons: RadioControl[];
    value: string;
}

// @public
export const RadioGroupTemplate: import("@microsoft/fast-element").ViewTemplate<RadioGroup, any>;

// @public
export const RadioTemplate: import("@microsoft/fast-element").ViewTemplate<Radio, any>;

// @public
export class Slider extends FormAssociated<HTMLInputElement> implements SliderConfiguration {
    // @internal (undocumented)
    connectedCallback(): void;
    decrement: () => void;
    // @internal (undocumented)
    direction: Direction;
    // @internal (undocumented)
    disconnectedCallback(): void;
    increment: () => void;
    // @internal (undocumented)
    isDragging: boolean;
    // (undocumented)
    protected keypressHandler: (e: KeyboardEvent) => void;
    max: number;
    min: number;
    mode: SliderMode;
    orientation: Orientation;
    // @internal (undocumented)
    position: string;
    // (undocumented)
    protected proxy: HTMLInputElement;
    readOnly: boolean;
    step: number;
    // @internal (undocumented)
    thumb: HTMLDivElement;
    // @internal (undocumented)
    track: HTMLDivElement;
    // @internal (undocumented)
    trackHeight: number;
    // @internal (undocumented)
    trackLeft: number;
    // @internal (undocumented)
    trackMinHeight: number;
    // @internal (undocumented)
    trackMinWidth: number;
    // @internal (undocumented)
    trackWidth: number;
    value: string;
    }

// @public
export interface SliderConfiguration {
    // (undocumented)
    direction?: Direction;
    // (undocumented)
    disabled?: boolean;
    // (undocumented)
    max: number;
    // (undocumented)
    min: number;
    // (undocumented)
    orientation?: Orientation;
}

// @public
export class SliderLabel extends FASTElement {
    // @internal (undocumented)
    connectedCallback(): void;
    disabled: boolean;
    // @internal (undocumented)
    disconnectedCallback(): void;
    // @internal (undocumented)
    handleChange(source: any, propertyName: string): void;
    hideMark: boolean;
    position: string;
    // @internal (undocumented)
    positionStyle: string;
    // @internal (undocumented)
    root: HTMLDivElement;
    // @internal (undocumented)
    sliderDirection: Direction;
    // @internal (undocumented)
    sliderMaxPosition: number;
    // @internal (undocumented)
    sliderMinPosition: number;
    // @internal (undocumented)
    sliderOrientation: Orientation;
}

// @public
export const SliderLabelTemplate: import("@microsoft/fast-element").ViewTemplate<SliderLabel, any>;

// @public
export enum SliderMode {
    // (undocumented)
    singleValue = "single-value"
}

// @public
export const SliderTemplate: import("@microsoft/fast-element").ViewTemplate<Slider, any>;

// @public
export class StartEnd {
    // (undocumented)
    end: HTMLSlotElement;
    // (undocumented)
    endContainer: HTMLSpanElement;
    // (undocumented)
    handleEndContentChange(): void;
    // (undocumented)
    handleStartContentChange(): void;
    // (undocumented)
    start: HTMLSlotElement;
    // (undocumented)
    startContainer: HTMLSpanElement;
}

// @public
export const startTemplate: import("@microsoft/fast-element").ViewTemplate<StartEnd, any>;

// @public
export class Switch extends FormAssociated<HTMLInputElement> {
    checked: boolean;
    checkedAttribute: boolean;
    // @internal (undocumented)
    clickHandler: (e: MouseEvent) => void;
    // @internal (undocumented)
    connectedCallback(): void;
    defaultChecked: boolean;
    // @internal (undocumented)
    defaultSlottedNodes: Node[];
    // @internal (undocumented)
    keypressHandler: (e: KeyboardEvent) => void;
    // (undocumented)
    protected proxy: HTMLInputElement;
    readOnly: boolean;
    value: string;
    }

// @public
export const SwitchTemplate: import("@microsoft/fast-element").ViewTemplate<Switch, any>;

// @public
export class Tab extends FASTElement {
}

// @public
export class TabPanel extends FASTElement {
}

// @public
export const TabPanelTemplate: import("@microsoft/fast-element").ViewTemplate<TabPanel, any>;

// Warning: (ae-different-release-tags) This symbol has another declaration with a different release tag
// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "Tabs" because one of its declarations is marked as @internal
//
// @public
export class Tabs extends FASTElement {
    constructor();
    activeid: string;
    activeindicator: boolean;
    // @internal (undocumented)
    activeIndicatorRef: HTMLElement;
    activetab: HTMLElement;
    adjust(adjustment: number): void;
    orientation: TabsOrientation;
    // @internal (undocumented)
    tabpanels: HTMLElement[];
    // @internal (undocumented)
    tabpanelsChanged(): void;
    // @internal (undocumented)
    tabs: HTMLElement[];
    // @internal (undocumented)
    tabsChanged(): void;
    }

// @internal
export interface Tabs extends StartEnd {
}

// @public
export enum TabsOrientation {
    // (undocumented)
    horizontal = "horizontal",
    // (undocumented)
    vertical = "vertical"
}

// @public
export const TabsTemplate: import("@microsoft/fast-element").ViewTemplate<Tabs, any>;

// @public
export const TabTemplate: import("@microsoft/fast-element").ViewTemplate<Tab, any>;

// Warning: (ae-different-release-tags) This symbol has another declaration with a different release tag
// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "TextArea" because one of its declarations is marked as @internal
//
// @public
export class TextArea extends FormAssociated<HTMLTextAreaElement> {
    autofocus: boolean;
    cols: number;
    // @internal (undocumented)
    connectedCallback(): void;
    // @internal (undocumented)
    defaultSlottedNodes: Node[];
    formId: string;
    // @internal (undocumented)
    handleTextInput: () => void;
    list: string;
    maxlength: number;
    minlength: number;
    name: string;
    placeholder: string;
    // (undocumented)
    protected proxy: HTMLTextAreaElement;
    readOnly: boolean;
    resize: TextAreaResize;
    rows: number;
    spellcheck: boolean;
    // @internal (undocumented)
    textarea: HTMLTextAreaElement;
    // @internal (undocumented)
    valueChanged(): void;
}

// @internal
export interface TextArea extends DelegatesARIATextbox {
}

// @public
export enum TextAreaResize {
    both = "both",
    horizontal = "horizontal",
    none = "none",
    vertical = "vertical"
}

// @public
export const TextAreaTemplate: import("@microsoft/fast-element").ViewTemplate<TextArea, any>;

// Warning: (ae-different-release-tags) This symbol has another declaration with a different release tag
// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "TextField" because one of its declarations is marked as @internal
//
// @public
export class TextField extends FormAssociated<HTMLInputElement> {
    autofocus: boolean;
    // @internal (undocumented)
    connectedCallback(): void;
    // @internal (undocumented)
    control: HTMLInputElement;
    // @internal (undocumented)
    defaultSlottedNodes: Node[];
    // @internal (undocumented)
    handleTextInput(): void;
    list: string;
    maxlength: number;
    minlength: number;
    pattern: string;
    placeholder: string;
    // (undocumented)
    protected proxy: HTMLInputElement;
    readOnly: boolean;
    size: number;
    spellcheck: boolean;
    type: TextFieldType;
    }

// @internal
export interface TextField extends StartEnd, DelegatesARIATextbox {
}

// @public
export const TextFieldTemplate: import("@microsoft/fast-element").ViewTemplate<TextField, any>;

// @public
export enum TextFieldType {
    email = "email",
    password = "password",
    tel = "tel",
    text = "text",
    url = "url"
}

// Warning: (ae-different-release-tags) This symbol has another declaration with a different release tag
// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "TreeItem" because one of its declarations is marked as @internal
//
// @public
export class TreeItem extends FASTElement {
    // (undocumented)
    childItemLength(): number;
    // (undocumented)
    childItems: HTMLElement[];
    // @internal (undocumented)
    connectedCallback(): void;
    disabled: boolean;
    // @internal (undocumented)
    disconnectedCallback(): void;
    // (undocumented)
    expandCollapseButton: HTMLDivElement;
    expanded: boolean;
    // (undocumented)
    focusable: boolean;
    // (undocumented)
    handleBlur: (e: FocusEvent) => void;
    // (undocumented)
    handleChange(source: any, propertyName: string): void;
    // (undocumented)
    handleContainerClick: (e: MouseEvent) => void;
    // (undocumented)
    handleExpandCollapseButtonClick: () => void;
    // (undocumented)
    handleFocus: (e: Event) => void;
    // (undocumented)
    handleKeyDown: (e: KeyboardEvent) => void | boolean;
    // (undocumented)
    readonly isNestedItem: () => boolean;
    // (undocumented)
    items: HTMLElement[];
    // @internal (undocumented)
    nested: boolean;
    // (undocumented)
    renderCollapsedChildren: boolean;
    selected: boolean;
    }

// @internal
export interface TreeItem extends StartEnd {
}

// @public
export const TreeItemTemplate: import("@microsoft/fast-element").ViewTemplate<TreeItem, any>;

// @public
export class TreeView extends FASTElement {
    // (undocumented)
    connectedCallback(): void;
    // (undocumented)
    currentSelected: HTMLElement | TreeItem | null;
    // (undocumented)
    focusable: boolean;
    // (undocumented)
    handleBlur: (e: FocusEvent) => void;
    // (undocumented)
    handleFocus: (e: FocusEvent) => void;
    // (undocumented)
    handleKeyDown: (e: KeyboardEvent) => void | boolean;
    // (undocumented)
    renderCollapsedNodes: boolean;
    // (undocumented)
    slottedTreeItems: HTMLElement[];
    // (undocumented)
    treeView: HTMLElement;
}

// @public
export const TreeViewTemplate: import("@microsoft/fast-element").ViewTemplate<TreeView, any>;


// (No @packageDocumentation comment for this package)

```
